|  | Home · All Classes · Modules

# QPaintEngine.DirtyFlags Class Reference
[QtGui module]

### Methods

- __init__ (self, DirtyFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- DirtyFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, DirtyFlags f)
- DirtyFlags __iand__ (self, int mask)
- int __int__ (self)
- DirtyFlags __invert__ (self)
- DirtyFlags __ior__ (self, DirtyFlags f)
- DirtyFlags __ixor__ (self, DirtyFlags f)
- bool __ne__ (self, DirtyFlags f)
- DirtyFlags __or__ (self, DirtyFlags f)
- DirtyFlags __xor__ (self, DirtyFlags f)

## Detailed Description

DirtyFlag may be used whenever DirtyFlags is expected.

## Method Documentation

### DirtyFlags.__init__ (self, DirtyFlags)

### DirtyFlags.__init__ (self, int)

### DirtyFlags.__init__ (self)

### DirtyFlags DirtyFlags.__and__ (self, int mask)

### int DirtyFlags.__bool__ (self)

### bool DirtyFlags.__eq__ (self, DirtyFlags f)

### DirtyFlags DirtyFlags.__iand__ (self, int mask)

### int DirtyFlags.__int__ (self)

### DirtyFlags DirtyFlags.__invert__ (self)

### DirtyFlags DirtyFlags.__ior__ (self, DirtyFlags f)

### DirtyFlags DirtyFlags.__ixor__ (self, DirtyFlags f)

### bool DirtyFlags.__ne__ (self, DirtyFlags f)

### DirtyFlags DirtyFlags.__or__ (self, DirtyFlags f)

### DirtyFlags DirtyFlags.__xor__ (self, DirtyFlags f)